Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.database.oracle
Class OracleJDBC10_1_0_2ProxyConnector

`java.lang.Object
oracle.toplink.jndi.JNDIConnector
oracle.toplink.platform.database.oracle.OracleJDBC10_1_0_2ProxyConnector`

All Implemented Interfaces:
  java.lang.Cloneable, Connector, java.io.Serializable

public class OracleJDBC10_1_0_2ProxyConnector
extends JNDIConnector

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.jndi.JNDIConnector
`COMPOSITE_NAME_LOOKUP, COMPOUND_NAME_LOOKUP, STRING_LOOKUP`

Constructor Summary
`OracleJDBC10_1_0_2ProxyConnector()` PUBLIC: Construct a Connector with no settings.
`OracleJDBC10_1_0_2ProxyConnector(javax.naming.Context context, java.lang.String name)` PUBLIC: Construct a Connector with the datasource name.
`OracleJDBC10_1_0_2ProxyConnector(javax.sql.DataSource dataSource)` PUBLIC: Construct a Connector with OracleOCIConnectionPool.
`OracleJDBC10_1_0_2ProxyConnector(java.lang.String name)` PUBLIC: Construct a Connector with the datasource name.

Methods inherited from class oracle.toplink.jndi.JNDIConnector
`getConnectionDetails, getContext, getDataSource, getLookupType, getName, setContext, setDataSource, setLookupType, setName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OracleJDBC10_1_0_2ProxyConnector

    public OracleJDBC10_1_0_2ProxyConnector()

  PUBLIC: Construct a Connector with no settings. The datasource name will still need to be set.

### OracleJDBC10_1_0_2ProxyConnector

    public OracleJDBC10_1_0_2ProxyConnector(javax.naming.Context context,
                                            java.lang.String name)
                                     throws ValidationException

  PUBLIC: Construct a Connector with the datasource name.

### OracleJDBC10_1_0_2ProxyConnector

    public OracleJDBC10_1_0_2ProxyConnector(java.lang.String name)

  PUBLIC: Construct a Connector with the datasource name.

### OracleJDBC10_1_0_2ProxyConnector

    public OracleJDBC10_1_0_2ProxyConnector(javax.sql.DataSource dataSource)

  PUBLIC: Construct a Connector with OracleOCIConnectionPool.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD